קודי QR
GET https://0o0.online/api/qr-codes/
curl --request GET \
--url 'https://0o0.online/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| פרמטרים | פרטים | תיאור |
|---|---|---|
| search | אופציונלי חוט | רצועת החיפוש |
| search_by | אופציונלי חוט | איזה שדה אתה מחפש על ידי. ערכים מורשים הם: name. |
| project_id | אופציונלי כללי | |
| type | אופציונלי חוט | איזה שדה אתה מחפש על ידי. ערכים מורשים הם: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix. |
| datetime_field | אופציונלי חוט | ערכים מורשים : datetime, last_datetime |
| datetime_start | אופציונלי חוט | סנכרון תוצאות החל מהתאריך הזה. Y-m-d H:i:s פורמט |
| datetime_end | אופציונלי חוט | מסננים את התוצאות עד לתאריך זה. Y-m-d H:i:s פורמט |
| order_by | אופציונלי חוט | איזה שדה להזמין את התוצאות על ידי. ערכים מורשים הם: qr_code_id, datetime, last_datetime, name, type. |
| order_type | אופציונלי חוט | ההזמנה של התוצאות. הערכים המותרים הם: ASC על מנת להעלות את ההזמנה, ו DESC להוראות הנחיתה. |
| page | אופציונלי כללי | מספר הדף שברצונך תוצאות מ. 1. |
| results_per_page | אופציונלי כללי | כמה תוצאות ברצונך לדף.ערכים מורשים הם: 10, 25, 50, 100, 250, 500, 1000. פגמים ל 25. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://0o0.online/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-10-16 01:39:06",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/qr-codes?page=1",
"last": "https://0o0.online/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/qr-codes?page=1"
}
}
GET https://0o0.online/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://0o0.online/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-10-16 01:39:06",
}
}
POST https://0o0.online/api/qr-codes
| פרמטרים | פרטים | תיאור |
|---|---|---|
curl --request POST \
--url 'https://0o0.online/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://0o0.online/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \